// Assurez-vous que ce fichier est traité comme un module ES6 si nécessaire (par exemple, en ajoutant type="module" à la balise <script>).
document.addEventListener('DOMContentLoaded', () => {
  initRankMathIntegration();
});

async function initRankMathIntegration() {
  try {
    const editedContent = await getEditedContent();
    wp.hooks.addFilter('rank_math_content', 'rank-math', () => editedContent);
    console.log('rankMathEditor:', rankMathEditor.refresh);
    // Rafraîchit Rank Math pour qu'il prenne en compte le contenu édité
    rankMathEditor.refresh('content');
    console.log(rankMathEditor.refresh(editedContent));
  } catch (error) {
    console.error('Error getting edited content:', error);
  }
}

// Exemple de fonction asynchrone pour obtenir le contenu édité.
async function getEditedContent() {
  // Simule une opération asynchrone si nécessaire
  return new Promise((resolve) => {
    // Simule un délai d'une seconde
    setTimeout(() => {
      resolve(wp.data.select('core/editor').getEditedPostContent());
    }, 100);
  });
}
